The API v2 uses cursor-based pagination for all list endpoints. Cursors are opaque, base64-encoded strings — treat them as opaque tokens and do not attempt to decode or construct them.
The export endpoint (GET /api/v2/agents/{agentId}/conversations/export) paginates through all conversations (from every source) with full message history included. Each page returns up to limit conversations with their complete messages already embedded — no separate call to a messages endpoint is needed.
Because each exported conversation includes all of its messages, pages can be significantly larger than other paginated responses. Use a smaller limit if you want to keep response sizes manageable.
The messages endpoint (GET /api/v2/agents/{agentId}/conversations/{conversationId}/messages) paginates backward from the newest messages. Within each page, messages are returned in chronological order.This means:
The first page contains the most recent messages
Passing the cursor fetches the next older page
Each page’s messages are ordered oldest → newest
The cursor returned by the Get a conversation endpoint is compatible with the messages endpoint, so you can use it to fetch older messages beyond what the conversation response includes.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Chatbase","colors":{"primary":"#18181b","light":"#f4f4f5","dark":"#18181b"},"logo":{"light":"https://mintcdn.com/chatbase/pJU9vM3D9oN_YQME/logo/light.svg?fit=max\u0026auto=format\u0026n=pJU9vM3D9oN_YQME\u0026q=85\u0026s=a45a73af7ac778cd0920dbb6ad1aaa93","dark":"https://mintcdn.com/chatbase/8k6_6eFSz4sj8EO0/logo/dark.svg?fit=max\u0026auto=format\u0026n=8k6_6eFSz4sj8EO0\u0026q=85\u0026s=c0c106d2f92f6a87f872a2be66706041","href":"https://chatbase.co"},"favicon":"https://mintcdn.com/chatbase/NsUPSmNqecm03uiz/favicon.ico?fit=max\u0026auto=format\u0026n=NsUPSmNqecm03uiz\u0026q=85\u0026s=b37388fc54cd76cfaf3efcb8ab4a4dc8","appearance":{},"navbar":{"links":[{"href":"https://chatbase.co/help","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://www.chatbase.co/dashboard"}},"footer":{"socials":{"x":"https://x.com/chatbase_co","linkedin":"https://linkedin.com/company/chatbase-co","youtube":"https://www.youtube.com/@chatbase_"}},"seo":{"metatags":{"canonical":"https://www.chatbase.co/docs"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"metadata":{"timestamp":false},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"chatbase","hasAudioNarration":false,"actualSubdomain":"chatbase","customDomains":["chatbase.co"],"gitSource":{"type":"github","owner":"chatbase-co","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adfc4860dc90c8878d8293c","collectionId":"3b898cb5-5f1e-488d-9b52-faa82fa0ec60","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adfc4860dc90c8878d8293c"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6adfc6a09b9230fa127ba040","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"User Guide","count":100},{"language":"default","tag":"API Reference","count":76},{"language":"default","tag":"Endpoints","count":62},{"language":"default","tag":"API v2","count":55},{"language":"default","tag":"Integrations","count":34},{"language":"default","tag":"Developer Guide","count":30},{"language":"default","tag":"AI Agent Management","count":30},{"language":"default","tag":"SDKs","count":26},{"language":"default","tag":"Help Desk","count":22},{"language":"default","tag":"API v1","count":21}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".nav-dropdown-trigger{border-color:transparent!important;border-bottom-color:rgb(var(--gray-500)/.2)!important;border-radius:0!important;padding:.5rem .875rem .875rem 1rem!important}.nav-dropdown-trigger .nav-dropdown-item-icon{display:none!important}.nav-dropdown-trigger .nav-dropdown-item-text-container{padding-left:0!important}.nav-dropdown-trigger .nav-dropdown-item-title{font-weight:600!important}.nav-dropdown-item-title::after{display:inline-block;margin-left:.5rem;padding:.125rem .5rem;border-radius:.375rem;font-size:.7rem;font-weight:600;line-height:1.2;vertical-align:middle}:is(.nav-dropdown-trigger, .nav-dropdown-item):has([style*=\"/code.svg\"]) .nav-dropdown-item-title::after{content:\"Current\";color:rgb(22 163 74);background:rgb(22 163 74/.12)}:is(.nav-dropdown-trigger, .nav-dropdown-item):has([style*=\"/box-archive.svg\"]) .nav-dropdown-item-title::after{content:\"Deprecated\";color:rgb(217 119 6);background:rgb(217 119 6/.12)}"}],"page":{"pagePath":"api-reference/v2/pagination","slug":"/api-reference/v2/pagination","pageMetadata":{"title":"Pagination","description":"How cursor-based pagination works in the Chatbase API v2.","href":"/api-reference/v2/pagination"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"How cursor-based pagination works in the Chatbase API v2.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,Table,Tip}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`how-it-works`,children:`How It Works`}),`\n`,_jsxs(_components.p,{children:[`The API v2 uses `,_jsx(_components.strong,{children:`cursor-based pagination`}),` for all list endpoints. Cursors are opaque, base64-encoded strings — treat them as opaque tokens and do not attempt to decode or construct them.`]}),`\n`,_jsx(Heading,{level:`3`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`cursor`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`string`})}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`Opaque cursor from a previous response. Omit to start from the beginning.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`limit`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`integer`})}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`20`})}),_jsx(_components.td,{children:`Number of items per page. Range: 1–100.`})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`response-shape`,children:`Response Shape`}),`\n`,_jsx(_components.p,{children:`All paginated responses follow this structure:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`...`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"pagination\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"cursor\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"eyJ0IjoiMjAyNC0wMS0xNVQxMDozMDowMC4wMDBaIiwiaWQiOiJhYmMxMjMifQ==\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"hasMore\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`142`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`data`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`array`})}),_jsx(_components.td,{children:`The page of results.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`pagination.cursor`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`string | null`})}),_jsxs(_components.td,{children:[`Cursor to pass for the next page. `,_jsx(_components.code,{children:`null`}),` when there are no more results.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`pagination.hasMore`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`boolean`})}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`true`}),` if more results are available beyond this page.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`pagination.total`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`integer`})}),_jsx(_components.td,{children:`Total number of items matching the query.`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`paginating-through-all-results`,children:`Paginating Through All Results`}),`\n`,_jsxs(_components.p,{children:[`Pass the `,_jsx(_components.code,{children:`cursor`}),` from each response into the next request to iterate through all pages:`]}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`Node.js`,numberOfLines:`22`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`22`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`async`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` function`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetchAllConversations`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`agentId`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`apiKey`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` conversations`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [];`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` let`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` cursor`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` undefined`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` do`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` params`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` URLSearchParams`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({ `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`limit:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"100\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` });`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` if`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` (`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`cursor`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`params`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`set`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"cursor\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`cursor`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `https://www.chatbase.co/api/v2/agents/\"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`agentId`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`/conversations?`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`params`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`Authorization:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `Bearer \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`apiKey`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` );`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` const`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:`data`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:`pagination`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` } `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` conversations`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`push`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`...`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` cursor`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` pagination`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`cursor`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` } `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`while`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` (`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`cursor`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` return`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` conversations`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`24`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`24`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`def`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch_all_conversations`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`agent_id`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4EC9B0`},children:`str`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`api_key`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4EC9B0`},children:`str`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`):`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` conversations `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` []`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` cursor `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` None`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` while`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` True`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` params `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"limit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`100`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` if`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` cursor:`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` params[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"cursor\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`] `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` cursor`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.get(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.chatbase.co/api/v2/agents/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`agent_id`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`/conversations\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bearer `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`api_key`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` params`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`params,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` )`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` body `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response.json()`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` conversations.extend(body[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`])`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` cursor `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` body[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"pagination\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`][`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"cursor\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` if`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` not`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` cursor:`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` break`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` return`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` conversations`})]}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`2`,id:`export-pagination`,children:`Export Pagination`}),`\n`,_jsxs(_components.p,{children:[`The export endpoint (`,_jsx(_components.code,{children:`GET /api/v2/agents/{agentId}/conversations/export`}),`) paginates through `,_jsx(_components.strong,{children:`all conversations`}),` (from every source) with full message history included. Each page returns up to `,_jsx(_components.code,{children:`limit`}),` conversations with their complete messages already embedded — no separate call to a messages endpoint is needed.`]}),`\n`,_jsx(Tip,{children:_jsxs(_components.p,{children:[`Because each exported conversation includes all of its messages, pages can be significantly larger than other paginated responses. Use a smaller `,_jsx(_components.code,{children:`limit`}),` if you want to keep response sizes manageable.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`message-pagination`,children:`Message Pagination`}),`\n`,_jsxs(_components.p,{children:[`The messages endpoint (`,_jsx(_components.code,{children:`GET /api/v2/agents/{agentId}/conversations/{conversationId}/messages`}),`) paginates `,_jsx(_components.strong,{children:`backward from the newest messages`}),`. Within each page, messages are returned in chronological order.`]}),`\n`,_jsx(_components.p,{children:`This means:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`The first page contains the most recent messages`}),`\n`,_jsxs(_components.li,{children:[`Passing the `,_jsx(_components.code,{children:`cursor`}),` fetches the next older page`]}),`\n`,_jsx(_components.li,{children:`Each page’s messages are ordered oldest → newest`}),`\n`]}),`\n`,_jsx(Tip,{children:_jsxs(_components.p,{children:[`The cursor returned by the `,_jsx(_components.a,{href:`/api-reference/v2/conversations/get-a-conversation`,children:`Get a conversation`}),` endpoint is compatible with the messages endpoint, so you can use it to fetch older messages beyond what the conversation response includes.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Pagination","description":"How cursor-based pagination works in the Chatbase API v2.","href":"/api-reference/v2/pagination"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"How It Works","slug":"how-it-works","depth":2,"children":[{"title":"Query Parameters","slug":"query-parameters","depth":3,"children":[]},{"title":"Response Shape","slug":"response-shape","depth":3,"children":[]}]},{"title":"Paginating Through All Results","slug":"paginating-through-all-results","depth":2,"children":[]},{"title":"Export Pagination","slug":"export-pagination","depth":2,"children":[]},{"title":"Message Pagination","slug":"message-pagination","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"chatbase","siteName":"Chatbase","title":"Pagination - Chatbase","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-19T11:14:44.253Z","originalFileLocation":"api-reference/v2/pagination.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"How cursor-based pagination works in the Chatbase API v2.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Chatbase\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/chatbase/sZYcuOsK-Dv6V9lc/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/chatbase/sZYcuOsK-Dv6V9lc/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/chatbase/sZYcuOsK-Dv6V9lc/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/chatbase/sZYcuOsK-Dv6V9lc/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/chatbase/sZYcuOsK-Dv6V9lc/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/chatbase/sZYcuOsK-Dv6V9lc/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/chatbase/sZYcuOsK-Dv6V9lc/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/chatbase/sZYcuOsK-Dv6V9lc/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/chatbase/sZYcuOsK-Dv6V9lc/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Pagination - Chatbase\">\u003cmeta data-mint-head property=\"og:description\" content=\"How cursor-based pagination works in the Chatbase API v2.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Chatbase\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://www.chatbase.co/docs/api-reference/v2/pagination\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://chatbase.mintlify.app/_mintlify/api/og/v2?division=Getting+Started\u0026amp;title=Pagination\u0026amp;description=How+cursor-based+pagination+works+in+the+Chatbase+API+v2.\u0026amp;theme=8967705c05e833213354143b\u0026amp;signature=6edc5ef2c28746c2ebc8341fd655e1774d6271bcc051563f1b92ea948d959d1a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Pagination - Chatbase\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"How cursor-based pagination works in the Chatbase API v2.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://chatbase.mintlify.app/_mintlify/api/og/v2?division=Getting+Started\u0026amp;title=Pagination\u0026amp;description=How+cursor-based+pagination+works+in+the+Chatbase+API+v2.\u0026amp;theme=8967705c05e833213354143b\u0026amp;signature=6edc5ef2c28746c2ebc8341fd655e1774d6271bcc051563f1b92ea948d959d1a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/chatbase/sZYcuOsK-Dv6V9lc/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Chatbase\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#18181b\">\u003clink data-mint-head rel=\"canonical\" href=\"https://www.chatbase.co/docs/api-reference/v2/pagination\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/v2/pagination.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://www.chatbase.co/#organization\",\"name\":\"Chatbase\",\"url\":\"https://www.chatbase.co\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/chatbase/pJU9vM3D9oN_YQME/logo/light.svg?fit=max\u0026auto=format\u0026n=pJU9vM3D9oN_YQME\u0026q=85\u0026s=a45a73af7ac778cd0920dbb6ad1aaa93\"}},{\"@type\":\"WebSite\",\"@id\":\"https://www.chatbase.co/docs#website\",\"name\":\"Chatbase\",\"url\":\"https://www.chatbase.co/docs\",\"publisher\":{\"@id\":\"https://www.chatbase.co/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://www.chatbase.co/docs/api-reference/v2/pagination#webpage\",\"url\":\"https://www.chatbase.co/docs/api-reference/v2/pagination\",\"name\":\"Pagination\",\"description\":\"How cursor-based pagination works in the Chatbase API v2.\",\"dateModified\":\"2026-10-19T11:14:44.253Z\",\"isPartOf\":{\"@id\":\"https://www.chatbase.co/docs#website\"},\"breadcrumb\":{\"@id\":\"https://www.chatbase.co/docs/api-reference/v2/pagination#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://www.chatbase.co/docs/api-reference/v2/pagination#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Getting Started\",\"item\":\"https://www.chatbase.co/docs/api-reference/v2/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Pagination\",\"item\":\"https://www.chatbase.co/docs/api-reference/v2/pagination\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://www.chatbase.co/docs/api-reference/v2/pagination#article\",\"headline\":\"Pagination\",\"name\":\"Pagination\",\"description\":\"How cursor-based pagination works in the Chatbase API v2.\",\"url\":\"https://www.chatbase.co/docs/api-reference/v2/pagination\",\"mainEntityOfPage\":{\"@id\":\"https://www.chatbase.co/docs/api-reference/v2/pagination#webpage\"},\"dateModified\":\"2026-10-19T11:14:44.253Z\",\"publisher\":{\"@id\":\"https://www.chatbase.co/#organization\"},\"isPartOf\":{\"@id\":\"https://www.chatbase.co/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Chatbase\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Chatbase","nav":{"global":null,"tabs":[{"tab":"User Guide","pages":[{"title":"User Guide","href":"/user-guides/quick-start/introduction"}]},{"tab":"Developer Guide","pages":[{"title":"Developer Guide","href":"/developer-guides/overview"}]},{"tab":"API Reference","dropdowns":[{"dropdown":"API v2","icon":"code","groups":[{"group":"Getting Started","pages":[{"title":"API v2 Overview","sidebarTitle":"Overview","href":"/api-reference/v2/overview"},{"title":"Authentication","href":"/api-reference/v2/authentication"},{"title":"Streaming","href":"/api-reference/v2/streaming"},{"title":"Error Handling","description":"Structured error codes and troubleshooting guide for the Chatbase API v2.","href":"/api-reference/v2/error-handling"},{"title":"Pagination","href":"/api-reference/v2/pagination"}]},{"group":"Guides","pages":[{"title":"Agents","description":"Programmatically create, configure, and manage your Chatbase AI agents.","href":"/api-reference/v2/agents"},{"title":"User Conversations","href":"/api-reference/v2/user-conversations"},{"title":"Conversation Search","href":"/api-reference/v2/conversation-search"},{"title":"Sources","href":"/api-reference/v2/sources"},{"title":"Helpdesk","href":"/api-reference/v2/helpdesk"},{"title":"WhatsApp","href":"/api-reference/v2/whatsapp"},{"title":"Voice Sessions","href":"/api-reference/v2/voice"},{"title":"Client Actions","href":"/api-reference/v2/client-actions"}]},{"group":"Endpoints","pages":[{"group":"Health","pages":[{"title":"Health check","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /health","href":"/api-reference/v2/health/health-check"}]},{"group":"Agents","pages":[{"title":"List agents","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents","href":"/api-reference/v2/agents/list-agents"},{"title":"Create agent","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /agents","href":"/api-reference/v2/agents/create-agent"},{"title":"Get agent","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}","href":"/api-reference/v2/agents/get-agent"},{"title":"Update agent","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json put /agents/{agentId}","href":"/api-reference/v2/agents/update-agent"},{"title":"Delete agent","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json delete /agents/{agentId}","href":"/api-reference/v2/agents/delete-agent"},{"title":"Update agent styles","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json put /agents/{agentId}/styles","href":"/api-reference/v2/agents/update-agent-styles"},{"title":"Toggle auto-retrain","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json put /agents/{agentId}/auto-retrain","href":"/api-reference/v2/agents/toggle-auto-retrain"},{"title":"Clone agent","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/clone","href":"/api-reference/v2/agents/clone-agent"},{"title":"Train agent (deprecated)","deprecated":true,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/train","href":"/api-reference/v2/agents/train-agent-deprecated"},{"title":"Chat with an agent","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/chat","href":"/api-reference/v2/agents/chat-with-an-agent"},{"title":"Retry a message","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/conversations/{conversationId}/retry","href":"/api-reference/v2/agents/retry-a-message"},{"title":"Start a voice session","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/voice/sessions","href":"/api-reference/v2/agents/start-a-voice-session"},{"title":"Submit a tool result","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/conversations/{conversationId}/tool-result","href":"/api-reference/v2/agents/submit-a-tool-result"}]},{"group":"Conversations","pages":[{"title":"List conversations","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/conversations","href":"/api-reference/v2/conversations/list-conversations"},{"title":"Export conversations","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/conversations/export","href":"/api-reference/v2/conversations/export-conversations"},{"title":"Search conversations","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/conversations/search","href":"/api-reference/v2/conversations/search-conversations"},{"title":"Get a conversation","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/conversations/{conversationId}","href":"/api-reference/v2/conversations/get-a-conversation"},{"title":"Update conversation status","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json patch /agents/{agentId}/conversations/{conversationId}","href":"/api-reference/v2/conversations/update-conversation-status"},{"title":"List conversation messages","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/conversations/{conversationId}/messages","href":"/api-reference/v2/conversations/list-conversation-messages"},{"title":"List conversations for a user","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/users/{userId}/conversations","href":"/api-reference/v2/conversations/list-conversations-for-a-user"},{"title":"Update message feedback","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json patch /agents/{agentId}/conversations/{conversationId}/messages/{messageId}/feedback","href":"/api-reference/v2/conversations/update-message-feedback"}]},{"group":"Sources","pages":[{"title":"Get sources summary","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/sources/summary","href":"/api-reference/v2/sources/get-sources-summary"},{"title":"List sources","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/sources","href":"/api-reference/v2/sources/list-sources"},{"title":"Create source","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/sources","href":"/api-reference/v2/sources/create-source"},{"title":"Get source","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/sources/{sourceId}","href":"/api-reference/v2/sources/get-source"},{"title":"Update source","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json put /agents/{agentId}/sources/{sourceId}","href":"/api-reference/v2/sources/update-source"},{"title":"Delete source","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json delete /agents/{agentId}/sources/{sourceId}","href":"/api-reference/v2/sources/delete-source"},{"title":"Restore source (deprecated)","deprecated":true,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/sources/{sourceId}/restore","href":"/api-reference/v2/sources/restore-source-deprecated"},{"title":"Create file source","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /api/v2/agents/{agentId}/sources","href":"/api-reference/v2/sources/create-file-source"},{"title":"Update file source","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json put /api/v2/agents/{agentId}/sources/{sourceId}","href":"/api-reference/v2/sources/update-file-source"}]},{"group":"WhatsApp","pages":[{"title":"List WhatsApp templates","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/whatsapp/templates","href":"/api-reference/v2/whatsapp/list-whatsapp-templates"},{"title":"Send a WhatsApp template message","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/whatsapp/messages/template","href":"/api-reference/v2/whatsapp/send-a-whatsapp-template-message"}]},{"group":"Helpdesk","pages":[{"title":"List ticket statuses","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/helpdesk/ticket-statuses","href":"/api-reference/v2/helpdesk/list-ticket-statuses"},{"title":"List teams","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/helpdesk/teams","href":"/api-reference/v2/helpdesk/list-teams"},{"title":"List tickets","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/helpdesk/tickets","href":"/api-reference/v2/helpdesk/list-tickets"},{"title":"Create a ticket","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/helpdesk/tickets","href":"/api-reference/v2/helpdesk/create-a-ticket"},{"title":"Search tickets","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/helpdesk/tickets/search","href":"/api-reference/v2/helpdesk/search-tickets"},{"title":"Get a ticket","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/helpdesk/tickets/{ticketNumber}","href":"/api-reference/v2/helpdesk/get-a-ticket"},{"title":"Update a ticket","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json patch /agents/{agentId}/helpdesk/tickets/{ticketNumber}","href":"/api-reference/v2/helpdesk/update-a-ticket"},{"title":"List ticket messages","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json get /agents/{agentId}/helpdesk/tickets/{ticketNumber}/messages","href":"/api-reference/v2/helpdesk/list-ticket-messages"},{"title":"Add a message to a ticket","deprecated":null,"version":null,"openapi":"/api-v2-openapi.json post /agents/{agentId}/helpdesk/tickets/{ticketNumber}/messages","href":"/api-reference/v2/helpdesk/add-a-message-to-a-ticket"}]}]}]},{"dropdown":"API v1","icon":"box-archive","groups":[{"group":"Getting Started","pages":[{"title":"API v1 Overview","sidebarTitle":"Overview","href":"/api-reference/v1/overview"}]},{"group":"Endpoints","pages":[{"group":"Chat","pages":[{"title":"Chat with a chatbot","deprecated":null,"version":null,"openapi":"/openapi.yaml post /chat","href":"/api-reference/v1/chat/chat-with-a-chatbot"}]},{"group":"Chatbots","pages":[{"title":"Create a new chatbot","deprecated":null,"version":null,"openapi":"/openapi.yaml post /create-chatbot","href":"/api-reference/v1/chatbots/create-a-new-chatbot"},{"title":"Get all chatbots","deprecated":null,"version":null,"openapi":"/openapi.yaml get /get-chatbots","href":"/api-reference/v1/chatbots/get-all-chatbots"},{"title":"Delete a chatbot","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /delete-chatbot","href":"/api-reference/v1/chatbots/delete-a-chatbot"},{"title":"Update a chatbot","deprecated":null,"version":null,"openapi":"/openapi.yaml post /update-chatbot-data","href":"/api-reference/v1/chatbots/update-a-chatbot"},{"title":"Update chatbot settings","deprecated":null,"version":null,"openapi":"/openapi.yaml post /update-chatbot-settings","href":"/api-reference/v1/chatbots/update-chatbot-settings"}]},{"group":"Conversations","pages":[{"title":"Get conversations for a chatbot","deprecated":null,"version":null,"openapi":"/openapi.yaml get /get-conversations","href":"/api-reference/v1/conversations/get-conversations-for-a-chatbot"}]},{"group":"Leads","pages":[{"title":"Get leads for a chatbot","deprecated":null,"version":null,"openapi":"/openapi.yaml get /get-leads","href":"/api-reference/v1/leads/get-leads-for-a-chatbot"}]},{"group":"Assets","pages":[{"title":"Upload chatbot icon","deprecated":null,"version":null,"openapi":"/openapi.yaml post /upload-chatbot-icon","href":"/api-reference/v1/assets/upload-chatbot-icon"},{"title":"Upload chatbot profile picture","deprecated":null,"version":null,"openapi":"/openapi.yaml post /upload-chatbot-profile-picture","href":"/api-reference/v1/assets/upload-chatbot-profile-picture"},{"title":"Delete chatbot icon","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /delete-chatbot-icon","href":"/api-reference/v1/assets/delete-chatbot-icon"},{"title":"Delete chatbot profile picture","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /delete-chatbot-profile-picture","href":"/api-reference/v1/assets/delete-chatbot-profile-picture"}]},{"group":"Contacts","pages":[{"title":"Get contacts for a chatbot","deprecated":null,"version":null,"openapi":"/openapi.yaml get /chatbots/{chatbotId}/contacts","href":"/api-reference/v1/contacts/get-contacts-for-a-chatbot"},{"title":"Create contacts for a chatbot","deprecated":null,"version":null,"openapi":"/openapi.yaml post /chatbots/{chatbotId}/contacts","href":"/api-reference/v1/contacts/create-contacts-for-a-chatbot"},{"title":"Get a specific contact","deprecated":null,"version":null,"openapi":"/openapi.yaml get /chatbots/{chatbotId}/contacts/{contactId}","href":"/api-reference/v1/contacts/get-a-specific-contact"},{"title":"Delete a contact","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /chatbots/{chatbotId}/contacts/{contactId}","href":"/api-reference/v1/contacts/delete-a-contact"},{"title":"Update a contact","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /chatbots/{chatbotId}/contacts/{contactId}","href":"/api-reference/v1/contacts/update-a-contact"},{"title":"Get custom attributes schema","deprecated":null,"version":null,"openapi":"/openapi.yaml get /chatbots/{chatbotId}/custom-attributes","href":"/api-reference/v1/contacts/get-custom-attributes-schema"},{"title":"Create custom attribute","deprecated":null,"version":null,"openapi":"/openapi.yaml post /chatbots/{chatbotId}/custom-attributes","href":"/api-reference/v1/contacts/create-custom-attribute"},{"title":"Update custom attribute","deprecated":null,"version":null,"openapi":"/openapi.yaml put /chatbots/{chatbotId}/custom-attributes/{name}","href":"/api-reference/v1/contacts/update-custom-attribute"}]}]}]}]},{"tab":"CLI","pages":[{"title":"CLI","href":"/cli/overview"}]},{"tab":"SDKs","pages":[{"title":"SDKs","href":"/sdks/overview"}]},{"tab":"Help \u0026 Support","pages":[{"title":"Help \u0026 Support","href":"/faq/faq"}]}]},"title":"Pagination - Chatbase","buildId":"dpl_GvhK4qVXq51DpfYJLCtPpYNN4YHN","deploymentId":"dpl_GvhK4qVXq51DpfYJLCtPpYNN4YHN","dynamics":[],"chunks":[]}